using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWorkRequestToComplaint {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        [Key]
        public int ComplaintId { get; set; }

        [ForeignKey("SiteId,ComplaintId")]
        [InverseProperty("FmsWorkRequestToComplaint")]
        public virtual FmsComplaints FmsComplaints { get; set; }
        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkRequestToComplaint")]
        public virtual FmsWorkRequest FmsWorkRequest { get; set; }

    }
}
